/****************************************************************************/
/******** FSTREE.H - File system tree - Ren Lang - Copyright (C) 1999 ******/
/****************************************************************************/
/******** rekursive Ermittlung der Gre von Unterverzeichnissen (Anzahl ****/
/******** der Dateien, belegter Plattenplatz und Verzeichnisstruktur) *******/
/****************************************************************************/
/******** Headerfile fr Definitionen und Vereinbarungen (Deutsch) **********/
/****************************************************************************/

/****************************************************************************/
/******** bentigte Definitionen ********************************************/
/****************************************************************************/
#define FALSE              (0x00)
#define TRUE               (0x01)

#define FSTREE_FLAG_SUM    (0x01)
#define FSTREE_FLAG_TOP    (0x02)
#define FSTREE_FLAG_VER    (0x04)
#define FSTREE_FLAG_HELP   (0x08)

/****************************************************************************/
/******** verwendete Typdefinitionen ****************************************/
/****************************************************************************/
typedef unsigned char boolean;
typedef struct {
    unsigned long size, dirsize;
    unsigned long count;
    unsigned int  subdir;
} summary;

/****************************************************************************/
/******** verwendete Strings (Fehlermeldungen und Konstanten) ***************/
/****************************************************************************/
char *fstree_help1   = "\n  Anzeigen der Verzeichnisstruktur und Ausgabe von Verzeichnisinformationen.\n";
char *fstree_help2   = "  Es werden die Gesamtgre aller Dateien und deren Anzahl rekursiv ausgegeben.\n\n";
char *fstree_help3   = "  Aufruf:  fstree [-st] [--sum] [--top] [--version] [--help] [<directory>]\n\n";

char *fstree_fault1  = "%s: Kein Verzeichnis oder keine Berechtigung: %s\n";
char *fstree_fault2  = "%s: Ungltiger Parameter %s\n";
char *fstree_fault3  = "%s: Parameter %s oder dessen quivalent wurde mehrfach angegeben\n";

char *fstree_version = "%s - Version 1.00\n";
char *fstree_data    = " Byte aus %6d Dateien in %s\n";

char *fstree_sum1    = "\nGesamtsummen unter Verzeichnis %s\n";
char *fstree_sum2    = " Byte aus %6d Dateien in %-d Unterverzeichnissen\n";
char *fstree_sum3    = " Byte in den Verzeichniseintrgen\n\n";

/****************************************************************************/
/******** Prototypen der internen Funktionen ********************************/
/****************************************************************************/
void    show_version_info (char *);
void    show_help_text    (void);
void    convert_parm      (char *);
int     parse_parm        (char *, unsigned char *);
void    printlong         (unsigned long);
summary fstreesize        (boolean, boolean, unsigned char, char *, char *);

